perm_test <- function (scores_de, scores_sample){
# permutation test to calculate KCS p-values

  scores_de = as.matrix(scores_de)
  scores_sample = as.matrix(scores_sample)
  n = nrow(scores_de)
  de_pvalue = rep(0,n)

  for (i in 1:n){
    tmp = length(scores_sample[scores_sample >= scores_de[i]])
    de_pvalue[i] = tmp/10000;
  }
  return(de_pvalue)
}
